Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_SupplierQOS_Factory Class Reference

`#include <Event_Utilities.h>`

Collaboration diagram for ACE_SupplierQOS_Factory:

[legend]
List of all members.

## Public Methods
| ACE_SupplierQOS_Factory (TAO_EC_Event_Initializer initializer=0, int qos_max_len=0)
| Default construction.
int | insert (RtecEventComm::EventSourceID sid, RtecEventComm::EventType type, RtecBase::handle_t rtinfo, u_int ncalls)
const RtecEventChannelAdmin::SupplierQOS & | get_SupplierQOS (void)
| operator const RtecEventChannelAdmin::SupplierQOS & (void)
| Calls this->get_SupplierQOS().
## Static Public Methods
void | debug (const RtecEventChannelAdmin::SupplierQOS &qos)
## Private Attributes
RtecEventChannelAdmin::SupplierQOS | qos_
| Representation needed by channel.
TAO_EC_Event_Initializer | event_initializer_

## Constructor & Destructor Documentation

ACE_SupplierQOS_Factory::ACE_SupplierQOS_Factory | ( | TAO_EC_Event_Initializer | initializer = 0,
|  | int | qos_max_len = 0
| ) |

| Default construction.

## Member Function Documentation

void ACE_SupplierQOS_Factory::debug | ( | const RtecEventChannelAdmin::SupplierQOS & | qos | ) | `[static]`

ACE_INLINE const RtecEventChannelAdmin::SupplierQOS & ACE_SupplierQOS_Factory::get_SupplierQOS | ( | void |  | ) |

| Allows conversions to SupplierQOS, which is expected by the PushSupplierProxy::connect_push_supplier interface.

int ACE_SupplierQOS_Factory::insert | ( | RtecEventComm::EventSourceID | sid,
|  | RtecEventComm::EventType | type,
|  | RtecBase::handle_t | rtinfo,
|  | u_int | ncalls
| ) |

| Publish sid and type that is generate by a method described by rtinfo. The method generates type ncalls number of times per "iteration."

ACE_INLINE ACE_SupplierQOS_Factory::operator const RtecEventChannelAdmin::SupplierQOS & | ( | void |  | ) |

| Calls this->get_SupplierQOS().

## Member Data Documentation

TAO_EC_Event_Initializer ACE_SupplierQOS_Factory::event_initializer_`[private]`

| If not zero this is a user-provided function used to initialize the events. When the event contains unions this is required to avoid marshaling and demarshaling of default initialized unions that (AFAIK) is not CORBA compliant.

RtecEventChannelAdmin::SupplierQOS ACE_SupplierQOS_Factory::qos_`[private]`

| Representation needed by channel.

The documentation for this class was generated from the following files:

- Event_Utilities.h
- Event_Utilities.i
- Event_Utilities.cpp